import es
import random
import gamethread
from donormod import donormod as donor
benefit = "lightgrenade"

def load():
    donor.registerbenefit(benefit, 2000, "Light Grenade", "Monthly")

def player_spawn(ev):
    if donor.checkbenefit(ev['userid'], benefit, False):
        es.server.cmd('es_xgive %s %s' % (ev['userid'], "weapon_hegrenade"))

def hegrenade_detonate(ev):
    userid = ev['userid']
    if donor.checkbenefit(ev['userid'], benefit, False):
        x = ev['x']
        y = ev['y']
        z = ev['z']
        lighting(userid, x, y, z)

def smokegrenade_detonate(ev):
    userid = ev['userid']
    if donor.checkbenefit(ev['userid'], benefit, False):
        x = ev['x']
        y = ev['y']
        z = ev['z']
        lighting(userid, x, y, z)

def flashbang_detonate(ev):
    userid = ev['userid']
    if donor.checkbenefit(ev['userid'], benefit, False):
        x = ev['x']
        y = ev['y']
        z = ev['z']
        lighting(userid, x, y, z)

def lighting(userid, x, y, z):
    x1,y1,z1 = es.getplayerlocation(userid)
    es.server.queuecmd('es_xsetpos %s %s %s %s' % (userid, x, y, z)) 
    es.server.queuecmd('es_fire %s %s kill' % (userid, userid))
    es.server.queuecmd('es_give %s point_tesla' % userid)
    es.server.queuecmd('es_fire %s point_tesla addoutput "targetname %s"' % (userid, userid))
    es.server.queuecmd('es_fire %s %s addoutput "texture sprites/physbeam.vmt"' % (userid, userid))
    es.server.queuecmd('es_fire %s %s addoutput "m_color %s %s %s"' % (userid, userid, random.choice((0,255)), random.choice((0,255)), random.choice((0,255))))
    es.server.queuecmd('es_fire %s %s addoutput "m_flradius 500"' % (userid, userid))
    es.server.queuecmd('es_fire %s %s addoutput "beamcount_min 8"' % (userid, userid))
    es.server.queuecmd('es_fire %s %s addoutput "beamcount_max 15"' % (userid, userid))
    es.server.queuecmd('es_fire %s %s addoutput "thick_min 1"' % (userid, userid))
    es.server.queuecmd('es_fire %s %s addoutput "thick_max 20"' % (userid, userid))
    es.server.queuecmd('es_fire %s %s addoutput "lifetime_min .5"' % (userid, userid))
    es.server.queuecmd('es_fire %s %s addoutput "lifetime_max 1.5"' % (userid, userid))
    es.server.queuecmd('es_fire %s %s addoutput "interval_min 1"' % (userid, userid))
    es.server.queuecmd('es_fire %s %s addoutput "interval_max 3"' % (userid, userid))
    es.server.queuecmd('es_fire %s %s tunron' % (userid, userid))
    es.server.queuecmd('es_fire %s %s dospark .1' % (userid, userid))
    es.server.queuecmd('es_fire %s %s dospark .2' % (userid, userid))
    es.server.queuecmd('es_fire %s %s dospark .3' % (userid, userid))
    es.server.queuecmd('es_fire %s %s dospark .4' % (userid, userid))
    es.server.queuecmd('es_fire %s %s dospark .5' % (userid, userid))
    es.server.queuecmd('es_fire %s %s addoutput "m_color %s %s %s"' % (userid, userid, random.choice((0,255)), random.choice((0,255)), random.choice((0,255))))
    es.server.queuecmd('es_fire %s %s dospark .6' % (userid, userid))
    es.server.queuecmd('es_fire %s %s dospark .7' % (userid, userid))
    es.server.queuecmd('es_fire %s %s dospark .8' % (userid, userid))
    es.server.queuecmd('es_fire %s %s dospark .9' % (userid, userid))
    es.server.queuecmd('es_fire %s %s dospark 1' % (userid, userid))
    es.server.queuecmd('es_xsetpos %s %s %s %s' % (userid, x1, y1, z1))
    es.server.queuecmd('es_delayed 1 es_fire %s %s kill' % (userid, userid))
